﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

public partial class Prueba : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            CargaInicial();
            HolkanCode.CargaLayerMarkersHistorial(Map1);
        }
    }
    private void CargaInicial()
    {
        ConfiguraMapaInicial(Map1);
        
        // Loading image
        Map1.MapTools.LoadingImage.Enabled = true;
        Map1.MapTools.LoadingImage.Width = 64;
        Map1.MapTools.LoadingImage.Height = 64;
        Map1.MapTools.LoadingImage.ImageUri = new Uri(new Uri(Request.Url.AbsoluteUri), "loading1.gif");

        // Se crea un menu en el mapa para el botón derecho del mouse//////////////
        ContextMenu menuOnMap = new ContextMenu("Menumapa", 180);
        ContextMenuItem showPositionItem = new ContextMenuItem("Mostrar Vista StreetView");

        showPositionItem.Click += new EventHandler<ContextMenuItemClickEventArgs>(showPosition_Click);

        menuOnMap.MenuItems.Add(showPositionItem);
        Map1.ContextMenu = menuOnMap;

    }
    private void ConfiguraMapaInicial(Map mapa)
    {
        mapa.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
        mapa.CurrentExtent = new RectangleShape(-12950109.447808, 3881777.2267497, -9819248.7696825, 1533631.7181559);
        mapa.MapUnit = GeographyUnit.Meter;
        mapa.MapTools.ScaleLine.Enabled = true; // Escala

        GoogleOverlay google = new GoogleOverlay(HolkanConstants.CLayerGoogle);
        google.JavaScriptLibraryUri = new Uri(HolkanConstants.CGoogleURI);
        google.GoogleMapType = GoogleMapType.Normal;
        mapa.CustomOverlays.Add(google);

        // Se crea el grupo de Layers que contendrá los temporales
        LayerOverlay dynamicOverlay = new LayerOverlay(HolkanConstants.CLayerOverlay);
        dynamicOverlay.IsBaseOverlay = false;
        dynamicOverlay.TileType = TileType.SingleTile;
        mapa.CustomOverlays.Add(dynamicOverlay);
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        TextBox1.Text = DateTime.Now.ToString();
    }
    private void showPosition_Click(object sender, ContextMenuItemClickEventArgs e)
    {
       
       
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        UpdatePanelMapa.Update();
    }
}